openapi: 3.0.0
info:
    version: "1.119.0.1"
    title: ServiciosCGES
    description: >
        <h3>Integraciones</h3>
        <p>Este apartado de la definición recoge las operaciones que se integran con otras aplicaciones de SSHH y del SAS:</p>
        <ul>
            <li>Integraciones con aplicaciones propias: JIRA, ayudaDIGITAL Área Personal/APP, Centralita, Gestor de Notificaciones, etc.</li>
            <li>Otras integraciones con aplicaciones y servicios del SAS: PortaFirmas, Altiris, LDAP, Consigna, conversor de teléfonos corporativos, etc.</li>
        </ul>
        <p>
        Algunos apartados incluyen las consultas de tablas maestras necesarias para la operativa.<br/>
        Para el resto de consultas de tablas maestras necesarias, puede consultar el apartado de definición destinado a tal fin.<br/>
        <br/>
        Incluye también los métodos para la generación de los tokens que se usan para operar con la API.
        </p>
        <br/><br/><div id="load_options"></div>
servers:
    - url: http://servicioscges.pre.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Preproducción (acceso por intranet)
    - url: 'https://ws001.sspa.juntadeandalucia.es/servicioscges/api/v1/sistemasExternos'
      description: Servidor de Producción (acceso por internet)
    - url: https://servicioscges.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Producción (acceso por intranet)
paths:
    
    #Acceso al sistema mediante tokens
    
    /accesos/token:
        $ref: './paths_accesos_token.yaml'
    /accesos/jwt/keys:
        $ref: './paths_accesos_jwt_keys.yaml'
       
    #Integraciones con aplicaciones de SSHH
    #ACCA/DASD        
    /cges/chats:
        $ref: './paths_cges_chats.yaml'
    /centralita/agentes:
        $ref: './paths_centralita_agentes.yaml'
    /centralita/conversaciones:
        $ref: './paths_centralita_conversaciones.yaml'
    /centralita/llamadas/actividades:
        $ref: './paths_centralita_llamadas_actividades.yaml'
    /centralita/llamadas/{idLlamada}:
        $ref: './paths_centralita_llamadas_id.yaml'
    /centralita/llamadas/{idLlamada}/fichero:
        $ref: './paths_centralita_llamadas_id_fichero.yaml'
    /centralita/orquestadores/{idOrquestador}/procesos/llamadas:
        $ref: './paths_centralita_orquestadores_id_procesos_llamadas.yaml'
    /centralita/orquestadores/{idOrquestador}/procesos/llamadas/contactame:
        $ref: './paths_centralita_orquestadores_id_procesos_llamadas_contactame.yaml'
    /centralita/orquestadores/{idOrquestador}/procesos/llamadas/contactarusuario:
        $ref: './paths_centralita_orquestadores_id_procesos_llamadas_contactar_usuario.yaml'
        
    #JIRA
    /jira/proyectos/gestion:
        $ref: './paths_jira_proyectos_gestion.yaml'
    /jira/proyectos/gestion/{clave}:   
        $ref: './paths_jira_proyectos_gestion_id.yaml'
    /jira/solicitudes/{clave}/comentarios:
        $ref: './paths_jira_solicitudes_id_comentarios.yaml'
    /jira/solicitudes/incidencias:
        $ref: './paths_jira_solicitudes_incidencias.yaml'
    /jira/solicitudes/incidencias/{clave}:   
        $ref: './paths_jira_solicitudes_incidencias_id.yaml'
    /jira/solicitudes/mejoras:
        $ref: './paths_jira_solicitudes_mejoras.yaml'
    /jira/solicitudes/mejoras/{clave}:   
        $ref: './paths_jira_solicitudes_mejoras_id.yaml'
    /jira/solicitudes/plsdatos:
        $ref: './paths_jira_solicitudes_plsdatos.yaml'
    /jira/solicitudes/plsdatos/{clave}:   
        $ref: './paths_jira_solicitudes_plsdatos_id.yaml'
    /jira/solicitudes/plsconfiguracion:
        $ref: './paths_jira_solicitudes_plsconfiguracion.yaml'
    /jira/solicitudes/plsconfiguracion/{clave}:   
        $ref: './paths_jira_solicitudes_plsconfiguracion_id.yaml'
    /jira/solicitudes/versiones:
        $ref: './paths_jira_solicitudes_versiones.yaml'    
    /jira/solicitudes/versiones/{clave}:   
        $ref: './paths_jira_solicitudes_versiones_id.yaml'
        
    #GESTOR NOTIFICACIONES
    /gestnotif/canales:
        $ref: './paths_gestnotif_canales.yaml'
    /gestnotif/configuracion/apps:
        $ref: './paths_gestnotif_configuracion_apps.yaml'
    /gestnotif/feedbacks:
        $ref: './paths_gestnotif_feedbacks.yaml'
    /gestnotif/feedbacks/movil/firebase/tokenscaducados:
        $ref: './paths_gestnotif_feedbacks_movil_firebase_tokenscaducados.yaml'
    /gestnotif/grupos:
        $ref: './paths_gestnotif_grupos.yaml'
    /gestnotif/grupos/{idGrupo}:
        $ref: './paths_gestnotif_grupos_id.yaml'
    /gestnotif/notificaciones:
        $ref: './paths_gestnotif_notificaciones.yaml'
    /gestnotif/notificaciones/{idNotificacion}:
        $ref: './paths_gestnotif_notificaciones_id.yaml'
    /gestnotif/notificaciones/emails:
        $ref: './paths_gestnotif_notificaciones_emails.yaml'
    /gestnotif/notificaciones/movil/firebase:
        $ref: './paths_gestnotif_notificaciones_movil_firebase.yaml'
    /gestnotif/notificaciones/movil/whatsapp:
        $ref: './paths_gestnotif_notificaciones_movil_whatsapp.yaml'
    /gestnotif/notificaciones/persistentes:
        $ref: './paths_gestnotif_notificaciones_persistentes.yaml'
    /gestnotif/notificaciones/sms:
        $ref: './paths_gestnotif_notificaciones_sms.yaml'
    /gestnotif/notificaciones/sockets:
        $ref: './paths_gestnotif_notificaciones_sockets.yaml'
    /gestnotif/sesiones:
        $ref: './paths_gestnotif_sesiones.yaml'
    /gestnotif/sockets/{canal}/presencia:
        $ref: './paths_gestnotif_sockets_canal_presencia.yaml'
    /gestnotif/suscriptores:
        $ref: './paths_gestnotif_suscriptores.yaml'
    /gestnotif/suscriptores/{uuidSuscriptor}:
        $ref: './paths_gestnotif_suscriptores_id.yaml'
    /gestnotif/suscriptores/{uuidSuscriptor}/grupos:
        $ref: './paths_gestnotif_suscriptores_id_grupos.yaml'
    /gestnotif/suscriptores/{uuidSuscriptor}/grupos/{idGrupo}:
        $ref: './paths_gestnotif_suscriptores_id_grupos_id.yaml'
    /gestnotif/suscriptores/{uuidSuscriptor}/preferencias:
        $ref: './paths_gestnotif_suscriptores_id_preferencias.yaml'
    /gestnotif/suscriptores/{uuidSuscriptor}/preferencias/globales:
        $ref: './paths_gestnotif_suscriptores_id_preferencias_globales.yaml'
    /gestnotif/tiposnegocio:
        $ref: './paths_gestnotif_tiposnegocio.yaml'
    
    #MICS
    /cges/web/solicitudes/aprobaciones:
        $ref: './paths_cges_web_solicitudes_aprobaciones.yaml'
    
    #Búsqueda Semántica

    /cges/busquedasemantica/colecciones/{idColeccion}/buscar:
        $ref: './paths_cges_busquedasemantica_colecciones_id_buscar.yaml'
    /cges/busquedasemantica/colecciones/{idColeccion}/documentos:
        $ref: './paths_cges_busquedasemantica_colecciones_id_documentos.yaml'
    
    #Otras integraciones

    #ALTIRIS
    /altiris/recursos/infraestructura:
        $ref: './paths_altiris_recursos_infraestructura.yaml'
    /altiris/recursos/infraestructura/{idEquipo}:
        $ref: './paths_altiris_recursos_infraestructura_id.yaml'
    /altiris/recursos/infraestructura/{idEquipo}/software:
        $ref: './paths_altiris_recursos_infraestructura_id_software.yaml'
    /altiris/recursos/infraestructura/software:
        $ref: './paths_altiris_recursos_infraestructura_software.yaml'
    /altiris/recursos/infraestructura/software/{idSoftware}:
        $ref: './paths_altiris_recursos_infraestructura_software_id.yaml'
    /altiris/recursos/infraestructura/{idEquipo}/sesiones:
        $ref: './paths_altiris_recursos_infraestructura_id_logins.yaml'
    /altiris/recursos/infraestructura/{idEquipo}/impresoras:
        $ref: './paths_altiris_recursos_infraestructura_id_impresoras.yaml'
    /altiris/recursos/infraestructura/{idEquipo}/monitores:
        $ref: './paths_altiris_recursos_infraestructura_id_monitores.yaml'
    #CONSIGNA
    /consigna/adjuntos/fichero:
        $ref: './paths_consigna_adjuntos_fichero.yaml'
    /consigna/adjuntos/{idConsigna}/fichero:
        $ref: './paths_consigna_adjuntos_id_fichero.yaml'
        
    #LDAP
    /ldap/{alias}/{codigo}:
        $ref: './paths_ldap_alias_codigo.yaml'
    /ldap/{alias}/{codigo}/atributos:
        $ref: './paths_ldap_alias_codigo_atributos.yaml'
    /ldap/{alias}/{codigo}/{idRegistro}:
        $ref: './paths_ldap_alias_codigo_id.yaml'
        
    #MACO
    /maco/operadores/{usuarioDmsas}/roles:
        $ref: './paths_maco_operadores_id_roles.yaml'
    /maco/tablas/serviciosparticulares:
        $ref: './paths_maco_servicios_particulares.yaml'
    /maco/tablas/serviciosgenerales:
        $ref: './paths_maco_servicios_generales.yaml'
    /maco/tablas/centrospresupuestarios:
        $ref: './paths_maco_centros_presupuestarios.yaml'
    /maco/tablas/unidadesorganizativas:
        $ref: './paths_maco_unidades_organizativas.yaml'
        
    #PORTAFIRMAS
    /cges/portafirmas/solicitudes/:
        $ref: './paths_portafirmas_solicitudes.yaml'
    /cges/portafirmas/solicitudes/{idPortaFirmas}:
        $ref: './paths_portafirmas_solicitudes_id.yaml'        
    /cges/portafirmas/solicitudes/{idPortaFirmas}/actividades:   
        $ref: './paths_portafirmas_solicitudes_id_actividades.yaml'        
    /cges/portafirmas/solicitudes/{idPortaFirmas}/ficheros:
        $ref: './paths_portafirmas_solicitudes_id_ficheros.yaml'   
    /cges/portafirmas/solicitudes/{idPortaFirmas}/ficheros/{idFichero}:
        $ref: './paths_portafirmas_solicitudes_id_ficheros_id.yaml'     
        
    #Operaciones extendidas
    
    /cges/mensajes/sms:    
        $ref: './paths_cges_mensajes_sms.yaml'   
    /cges/global/correo/listas/{email}/suscripciones:    
        $ref: './paths_cges_global_correo_listas_email_suscripciones.yaml' 
    /cges/global/telefonos/formatos:    
        $ref: './paths_cges_global_telefonos_formatos.yaml'
    /cges/global/urls/acorta:    
        $ref: './paths_cges_global_urls_acorta.yaml'
    
    

